Package Details: moodle-dl-git v2.2.1.1.r14.gc9d4c3e-1

Git Clone URL: https://aur.archlinux.org/moodle-dl-git.git (read-only, click to copy)
Package Base: moodle-dl-git
Description: Moodle downloader to download course content automatically
Upstream URL: https://github.com/C0D3D3V/Moodle-Downloader-2
Licenses: GPL3
Conflicts: moodle-dl
Provides: moodle-dl
Submitter: marioom
Maintainer: marioom (c0d3d3v)
Last Packager: c0d3d3v
Votes: 5
Popularity: 0.68
First Submitted: 2020-10-27 20:51
Last Updated: 2021-10-27 15:43

Latest Comments

marioom commented on 2021-10-09 21:32

Easy fix! Thanks for the report Alex

AlexBocken commented on 2021-10-09 21:29

Could you change the pkgver to not include -1? So probably to

pkgver=v2.2.0.1.r1.g9c7ff43

Otherwise results in an error with paru:

Aur (1) moodle-dl-git-v2.2.0.1.r1.g9c7ff43-1-1

:: Proceed to review? [Y/n]:

:: Downloading PKGBUILDs...
 PKGBUILDs up to date
 nothing new to review
fetching devel info...
==> ERROR: pkgver is not allowed to contain colons, forward slashes, hyphens or whitespace.
error: failed to download sources for 'moodle-dl-git-v2.2.0.1.r1.g9c7ff43-1-1':
error: packages failed to build: moodle-dl-git-v2.2.0.1.r1.g9c7ff43-1-1

Cheers.

c0d3d3v commented on 2021-10-07 19:21

Done, sorry for the delay!

AlexBocken commented on 2021-10-07 06:17

As of a recent commit only works with python-aioxmpp installed as well. Maybe add to dependencies.